diff --git a/luci-app-wizard/root/etc/init.d/wizard b/luci-app-wizard/root/etc/init.d/wizard
index d413cc16a..acc68b938 100644
--- a/luci-app-wizard/root/etc/init.d/wizard
+++ b/luci-app-wizard/root/etc/init.d/wizard
@@ -28,13 +28,17 @@ add_wizard() {
 		pppoe)
 			config_get wan_pppoe_user "$cfg" wan_pppoe_user
 			config_get wan_pppoe_pass "$cfg" wan_pppoe_pass
-			[[ -n "${wan_pppoe_user} != $(uci -q get network.wan.username)" || -n "${wan_pppoe_pass} != $(uci -q get network.wan.password)" ]] && {
+			[[ "${wan_pppoe_user} != $(uci -q get network.wan.username)" || "${wan_pppoe_pass} != $(uci -q get network.wan.password)" ]] && {
 				uci delete network.wan
 				uci set network.wan=interface
 				uci set network.wan.proto='pppoe'
 				uci set network.wan.device="$device"
 				uci set network.wan.username="${wan_pppoe_user}"
 				uci set network.wan.password="${wan_pppoe_pass}"
+				[ -n "${ipv6}" ] && {
+					uci -q set network.wan.ipv6='0'
+					uci -q set network.wan.delegate='0'
+				}
 			}
 		;;
 	esac
diff --git a/my-default-settings/files/etc/config/nginx b/my-default-settings/files/etc/config/nginx
index b626e4247..e482a1fcf 100644
--- a/my-default-settings/files/etc/config/nginx
+++ b/my-default-settings/files/etc/config/nginx
@@ -7,6 +7,7 @@ config server '_lan'
 	list listen '[::]:80 default_server'
 	option server_name 'op'
 	option index 'luci index.html index.htm'
+	list rewrite '"^/$" $scheme://$host/luci/ permanent'
 	list include 'conf.d/*.locations'
 	option access_log 'off; # logd openwrt'
 	
@@ -15,6 +16,7 @@ config server '_ssl'
 	list listen '[::]:443 ssl'
 	option server_name '_ssl'
 	option index 'luci index.html index.htm'
+	list rewrite '"^/$" $scheme://$host/luci/ permanent'
 	list include 'conf.d/*.locations'
 	option ssl_certificate '/etc/nginx/conf.d/_lan.crt'
 	option ssl_certificate_key '/etc/nginx/conf.d/_lan.key'
diff --git a/my-default-settings/files/etc/uci-defaults/95-default-settings b/my-default-settings/files/etc/uci-defaults/95-default-settings
index fc9b7075f..f6ca36a05 100644
--- a/my-default-settings/files/etc/uci-defaults/95-default-settings
+++ b/my-default-settings/files/etc/uci-defaults/95-default-settings
@@ -1,8 +1,10 @@
 #!/bin/sh
 
-grep -q "luci index.html" /etc/config/nginx || {
+grep -q "host/luci" /etc/config/nginx || {
 	uci -q set nginx._lan.index="luci index.html index.htm"
 	uci -q set nginx._ssl.index="luci index.html index.htm"
+	uci -q add_list nginx._lan.rewrite='"^/$" $scheme://$host/luci/ permanent'
+	uci -q add_list nginx._ssl.rewrite='"^/$" $scheme://$host/luci/ permanent'
 	uci commit nginx
 	service nginx reload
 }
